Jupiter ERP
Account API

List Warehouses

/api/account/warehouses

GETHTTP
get/api/account/warehouses

Example request

GET https://api.jupiter-erp.com/api/account/warehouses

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/warehouses' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
searchquerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
location_idquerynoFilter by location ID
activequerynoFilter by active status
order_byquerynoSort by a specific field
#/components/parameters/OrderDirParameter
#/components/parameters/PerPageParameter
#/components/parameters/PageParameter

Responses

200OK
FieldTypeDescription
data*object[]

array

Elements

FieldTypeDescription
active*boolean
address_line_1stringFirst line of the address (Street and House number)
address_line_2stringSecond line of the address
citystringCity of the address.
codestring
country_codestringISO country code of the address.
created_atstring (date-time)Creation timestamp in ISO 8601 format.
descriptionstringHTML
emailstring (email)
id*integer
internal_notestringHTML
locationobject
FieldTypeDescription
idinteger
namestring
location_idinteger
name*string
phonestringPhone number in E.164 format.
statestringState or region of the address.
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
zipstringZIP or postal code.
meta*object
FieldTypeDescription
current_page*integerThe current page number.
items_from*integerThe starting item number on the current page.
items_to*integerThe ending item number on the current page.
last_page*integerThe last page number.
per_page*integerThe number of items per page.
total*integerThe total number of items.
Example response
{
  "data": [
    {
      "id": 0,
      "location_id": 0,
      "location": {
        "id": 0,
        "name": "string"
      },
      "name": "string",
      "code": "string",
      "description": "string",
      "active": true
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "items_from": 1,
    "items_to": 1
  }
}
Warehouses

Questions about integration?

GET /api/account/warehouses · Jupiter ERP